
/* JavaScript content from js/app/models/Content.js in folder common */
/*global define*/

define("app/models/Content", [
  "dojo/Stateful",
  "dojo/_base/declare"],
  function (Stateful, declare) {
    var Content = declare("app/models/Content", [Stateful], {
      constructor: function (opts) {
        this.wlProduct = opts.wlProduct;
      }
    });

    Content.fromWorklightPayload = function fromWorklightPayload(wlPayload) {
      var wlContent = wlPayload.root;
      var content = new Content(wlContent);

      content.set({
        iframe: wlContent.MarketingSpotData.baseMarketingSpotActivityData
      });

      return content;
    };

    return Content;
  });