
/* JavaScript content from js/app/presenters/RefinePresenter.js in folder common */
/*global define*/

define(["dojo/_base/declare",
    "dojo/_base/lang",
    "dojo/when",
    "app/stores/RefineStore"], function (declare, lang, when, RefineStore) {
  var RefinePresenter = declare('app/presenters/RefinePresenter', null, {
    getRefinements: function (searchTerm, refinements) {
      var p = RefineStore.query({searchTerm: searchTerm, refinements: refinements });
      p.then(console.info.bind(console), console.error, console.info.bind(console));
      var promise = when(p, lang.hitch(this, function (result) {
        return result;
      }));

      return promise;
    }

  });
  var c = new RefinePresenter();
  return c;
});