
/* JavaScript content from js/app/presenters/ReviewPresenter.js in folder common */
/*global define */

define(["dojo/_base/declare",
  "dojo/_base/lang",
  "dojo/when",
  "app/stores/ReviewStore"], function (declare, lang, when, ReviewStore) {
  var ReviewPresenter = declare('app/presenters/ReviewPresenter', null, {
    getReviews: function (_catId) {
      var p = ReviewStore.query({ id: _catId, resultsPerPage: 4, start: 0, sort: "Helpfulness:desc,TotalPositiveFeedbackCount:desc,SubmissionTime:desc"});
      p.then(console.info.bind(console), console.error, console.info.bind(console));
      var promise = when(p, lang.hitch(this, function (result) {
        return result;
      }));

      return promise;
    }

  });
  var c = new ReviewPresenter();
  return c;
});