
/* JavaScript content from js/app/stores/ContentStore.js in folder common */
/*global define*/

define([ "dojo/_base/declare",
  "dojo/request/registry",
  "app/nativeMethods",
  "app/util/requestProvider/ServiceRegistryRequestProvider"],
  function (declare, request, nativeMethods) {

    var ContentStore = declare('app/stores/ContentStore', null, {
      query: function (query) {
        return request("registry://GET_CONTENT", query).then(function (result) {
          try {
            return result.MarketingSpotData[0];
          } catch (e) {
            nativeMethods.error();
            throw e;
          }
        }, function (e) {
          throw e;
        });
      }
    });

    return new ContentStore();
  });