
/* JavaScript content from js/app/stores/ReviewStore.js in folder common */
/*global define*/

define([ "dojo/_base/declare",
  "dojo/request/registry",
  "app/util/requestProvider/ServiceRegistryRequestProvider",
  "app/nativeMethods"],
  function (declare, request, nativeMethods) {

    var ReviewStore = declare('app/stores/ReviewStore', null, {
      query: function (query) {
        return request("registry://GET_REVIEWS", query).then(function (result) {
          return result.Results;
        }, function (e) {
          nativeMethods.error();
          throw e;
        });
      }
    });

    return new ReviewStore();
  });