
/* JavaScript content from js/app/views/Privacy.js in folder common */
define("app/views/Privacy", [
  "module",
  "dojo/_base/declare",
  "dojo/text!./templates/Privacy.html",
  "dojo/_base/lang",
  "app/presenters/ContentPresenter",
  "dojo/when",
  "dojo/dom-attr",
  "./_StaticViewBase"],
  function(module, declare, templateString, lang, ContentPresenter, when, domAttr, _StaticViewBase){
    return declare("app/views/Privacy", [_StaticViewBase], {
      templateString: templateString,
      init: function() {
        var c = ContentPresenter.getContent('PrivacyPolicy');

        when(c, lang.hitch(this, function(content) {
          this.set('content', content);
        }));
      },
      _setContentAttr: function(content) {
        this.set({
          iframe: content.iframe
        });
      },
      _setIframeAttr: function(iframe) {
        domAttr.set(this._iframe, 'src', iframe);
      }
    });
  }
);