
/* JavaScript content from js/app/widgets/Rating.js in folder common */
/*global define*/

define([
  "dojo/_base/declare",
  "dijit/_WidgetBase",
  "dijit/_TemplatedMixin",
  "dojo/text!./templates/Rating.html",
  "dojo/dom-style"],
  function (declare, _WidgetBase, _TemplatedMixin, templateString, domStyle) {
    return declare("app/widgets/Rating", [_WidgetBase, _TemplatedMixin], {
      templateString: templateString,
      setRating: function (rating) {
        var size = this.size;
        domStyle.set(this.domNode.children[0], "width", rating * size + "px");
      }
    });
  });