
/* JavaScript content from js/app/widgets/SecondaryRating.js in folder common */
/*global define*/

define([
  "dojo/_base/declare",
  "dijit/_WidgetBase",
  "dijit/_TemplatedMixin",
  "dojo/text!./templates/SecondaryRating.html",
  "dojo/dom-style"],
  function (declare, _WidgetBase, _TemplatedMixin, templateString, domStyle) {
    return declare("app/widgets/SecondaryRating", [_WidgetBase, _TemplatedMixin], {
      templateString: templateString,
      _setLabelAttr: {
        node: "_label",
        type: "innerHTML"
      },
      _setValueAttr: function (Value) {
        domStyle.set(this.Quality, "width", Value * 18 + "px");
      },
      _setDataAttr : function (_data) {
        this.set("Label", _data.Label);
        this.set("Value", _data.Value);
      }
    });
  });