
/* JavaScript content from js/app/widgets/_ImageButton.js in folder common */
/*global define*/

define(["dojo/_base/declare",
  "dijit/_WidgetBase",
  "dijit/_TemplatedMixin",
  "dijit/_WidgetsInTemplateMixin",
  "dojo/text!./templates/_ImageButton.html",
  "./SlickImage"],
  function (declare, _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, templateString) {
    return declare([ _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin ], {
      templateString : templateString,
      _setImageUrlAttr : {
        type : 'attribute',
        node : 'imageNode',
        attribute : 'imageUrl'
      },
      _setAriaLabelAttr: {
        type: 'attribute',
        node: 'imageNode',
        attribute : 'ariaLabel'
      }

    });

  });