
/* JavaScript content from js/app/widgets/menu-item/Price.js in folder common */
/*global define,window*/

define([
  "dojo/_base/declare",
  "dijit/_WidgetBase",
  "dijit/_TemplatedMixin",
  "dijit/_WidgetsInTemplateMixin",
  "dojo/text!./templates/Price.html",
  "dojo/query"],
  function (declare, _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, templateString, query) {
    return declare("app/widgets/menu-item/Price", [_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin], {
      templateString: templateString,
      startup: function () {
        this.inherited(arguments);
        this.labelText.innerText = this.params.refinement.name;
        var input = query('input[type="number"]', this.domNode);
        input.on('click', function(e) {
          e.currentTarget.focus();
        });
        input.on('focus', function () {
          window.scrollTo(0, 0);
        });
      }
    });
  });