
/* JavaScript content from spec/js/app/support/fakeProductData.js in folder common */
define("spec/support/fakeProductData", [
  'app/models/Product',
  "dojo/_base/array"], function(Product, array) {
    return {
      makeFakeData: function() {
        var product = {
          controlIndicatorList: {
            controlIndicator: [
              {
                "value" : "false",
                "type"  : "CanReserve"
              },
              {
                "value" : "false",
                "type"  : "CanDeliverToHome"
              },
              {
                "value" : "false",
                "type"  : "CanOnlyCheckStock"
              },
              {
                "value" : "false",
                "type"  : "CanDeliverToStore"
              },
              {
                "value" : "false",
                "type"  : "CanOrderInStore"
              },
              {
                "value" : "false",
                "type"  : "NextNamedDayDeliveryAvailable"
              },
              {
                "value" : "false",
                "type"  : "IsOnlineExclusive"
              },
              {
                "value" : "100",
                "type"  : "SalesStatus"
              }
            ]
          },
          controlIndicator: Product.prototype.controlIndicator
        }
        return product;
      }
    };
  }
);
