
/* JavaScript content from js/app/presenters/ProductPresenter.js in folder common */
/*global define*/

define(["dojo/_base/declare",
  "dojo/_base/lang",
  "dojo/when",
  "app/stores/ProductStore"], function (declare, lang, when, ProductStore) {
  var ProductPresenter = declare('app/presenters/ProductPresenter', null, {
    getProduct: function (_catId) {
      var p = ProductStore.query({id: _catId});
      var promise = when(p, lang.hitch(this, function (result) {
        return result;
      }));

      return promise;

    }

  });
  var c = new ProductPresenter();
  return c;
});
