
/* JavaScript content from js/app/stores/RefineStore.js in folder common */
/*global define*/

define("app/stores/RefineStore", [ "dojo/_base/declare",
  "dojo/request/registry",
  "app/util/requestProvider/ServiceRegistryRequestProvider"],
  function (declare, request) {

    var RefineStore = declare('app/stores/RefineStore', null, {
      query: function (query) {
        return request("registry://GET_REFINEMENTS", query).then(function (result) {
          return result;
        }, function (e) {
          throw e;
        });
      }
    });

    return new RefineStore();
  });