
/* JavaScript content from js/app/widgets/Categories.js in folder common */
/*global define*/

define("app/widgets/Categories", [
  "dojo/_base/declare",
  "dijit/_WidgetBase",
  "dijit/_TemplatedMixin",
  "dijit/_WidgetsInTemplateMixin",
  "app/widgets/MenuSection"],
  function (declare, _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, MenuSection) {
    return declare("app/widgets/Categories", [_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin], {
      populateWithMenu: function (menu) {
        menu.forEach(function (section) {
          var menuSectionWidget = new MenuSection({section: section});
          menuSectionWidget.startup();
          this.domNode.appendChild(menuSectionWidget.domNode);
        }.bind(this));
      }
    });
  });