
/* JavaScript content from js/app/widgets/Espot.js in folder common */
/*global define*/

define([
  "dojo/_base/declare",
  "dijit/_WidgetBase",
  "dijit/_TemplatedMixin",
  "dijit/_WidgetsInTemplateMixin",
  "dojo/text!./templates/Espot.html",
  "dojo/dom-attr",
  "dojo/dom-style",
  "dojo/dom-class"],
  function (declare, _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, templateString, domAttr, domStyle, domClass) {
    return declare("app/widgets/Espot", [_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin], {
      templateString: templateString,
      postCreate: function () {
        var content = this.params.espot;
        var iframe = content.baseMarketingSpotActivityData[0].attachmentAsset[0].attachmentAssetPath;
        var deviceType = this.params.name ? this.params.name.split('_')[1] : null;
        iframe = iframe.replace("http://[cmsHost]:8080", this.params.env);
        domAttr.set(this._iframe, 'src', iframe);
        domStyle.set(this.domNode, 'height', this.params.height + "px");
        domClass.add(this.domNode, 'loaded');
        if (deviceType) {
          domClass.add(this.domNode, deviceType + " " + this.params.name.replace('.', '_'));
        }
      }
    });
  });