
/* JavaScript content from js/app/widgets/MenuSection.js in folder common */
/*global define*/

define("app/widgets/MenuSection", [
  "dojo/_base/declare",
  "dijit/_WidgetBase",
  "dojo/dom-class",
  "dijit/_TemplatedMixin",
  "dijit/_WidgetsInTemplateMixin",
  "dojo/text!./templates/MenuSection.html"],
  function (declare, _WidgetBase, domClass, _TemplatedMixin, _WidgetsInTemplateMixin, templateString) {
    return declare("app/widgets/MenuSection", [_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin], {
      templateString: templateString,
      startup: function () {
        var i = 0;
        this.params.section.forEach(function (refinement, i) {
          i++;

          if (this.options && this.options.animate === true && i === 4) {
            domClass.add(this.domNode, 'slideIn');
          }
          if (!refinement.widget) {
            return;
          }
          require(["app/widgets/menu-item/" + refinement.widget], function (MenuItemClass) {
            var menuitem = new MenuItemClass({refinement: refinement});
            menuitem.startup();
            if (refinement.name === "Categories" && refinement.refinements.length === 0 || refinement.name === "Brand" && refinement.refinements.length === 0) {
              this.domNode.remove(menuitem);
            }
            this.domNode.appendChild(menuitem.domNode);
          }.bind(this));
        }.bind(this));
      }
    });
  });