
/* JavaScript content from js/app/widgets/menu-item/CustomerRating.js in folder common */
/*global define*/

define(["dojo/_base/declare",
  "dijit/_WidgetBase",
  "dijit/_TemplatedMixin",
  "dijit/_WidgetsInTemplateMixin",
  "./_LeafItem",
  "dojo/text!./templates/CustomerRating.html",
  "dojo/dom-construct"],
    function (declare, _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, _LeafItem, templateString, domConstruct) {
    return declare("app/widgets/menu-item/CustomerRating", [_WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, _LeafItem], {
      templateString: templateString,
      startup: function () {
        this.inherited(arguments);

        var stars = this.params.refinement.stars;

        for (var i = 0; i < stars; i++) {
          domConstruct.create("i", { "class": "icon-star-filled" }, this.starsNode);
        }

        if (stars !== 5) {
          this.text.innerText = "and up";
        }
      }
    });
  });