
/* JavaScript content from js/dojoConfig.js in folder common */
/*global location*/

var dojoConfig = (function () {
  return {
    async: true,
    baseUrl: './',
    isDebug: true,
    packages: [
      { name: 'dojo',         location: 'vendor/dojo' },
      { name: 'dijit',        location: 'vendor/dijit'},
      { name: 'dojox',        location: 'vendor/dojox'},
      { name: 'swipe',        location: 'js/bower_components/swipe-amd'},
      { name: 'fastclick',    location: 'js/bower_components/fastclick-amd'},
      { name: 'dgrid',        location: 'js/bower_components/dgrid'},
      { name: 'xstyle',       location: 'js/bower_components/xstyle'},
      { name: 'put-selector', location: 'js/bower_components/put-selector'},
      { name: 'app',          location: 'js/app', map: {} }
    ],
    ServiceRegistryRequestProvider_configModule : "app/config/ServiceRegistryConfig",
    locale: 'en-gb'
  };
}());