
/* JavaScript content from spec/main.js in folder common */
var allTestFiles = [];

var TEST_REGEXP = /.*Spec\.js$/;

Object.keys(window.__karma__.files).forEach(function(file) {
  if (TEST_REGEXP.test(file)) {
    allTestFiles.push(file);
  }
});

var dojoConfig = {
  packages: [
    {
      name:"app",
      location: "/base/js/app"
    },
    { name:"spec",
      location: "/base/spec/js/app"
    },
    {
      name: "dojo",
      // TODO update location to same dojo version we're using in the app
      location: "http://ajax.googleapis.com/ajax/libs/dojo/1.9.1/dojo"
    }
  ],
  async: true
};

window.__karma__.dojoStart = function(){
  return allTestFiles;
}